Welcome
Begin The Introduction


Introduction
Fresh Diagnose is a complete and comprehensive tool for diagnosing and benchmarking your computer. It supplies many information about both hardware and software system of your computer, its multimedia system, devices installed in it, and its resources. Also included, several benchmark tests to find out really, reliably, and exactly the capability indexes of your hardwares. It also supports printing and saving in multiple format : plain-text, .html, .rtf and .doc.


System Requirements
Operating Systems
Windows 95, Windows 95 OS R2, Windows 98, Windows 98 Second Edition, Windows Me, Windows NT 4.0, Windows 2000, Windows XP.

CPU
Any x86 if only Windows was started.

RAM
Any size if only Windows was started.


Benchmarking
CPU Processor Benchmark

This benchmark performs continuous and complex calculations based on well-known Whetstone and Dhrystone algorithms. Whetstone was written by Harold Curnow in 1972, and optimized for floating point benchmark. Dhrystone, whose the first version was produced by Reinhold P. Weicker, is a sort of Whetstone without floating point and became the key standard of integer benchmark.The benchmark produces speed ratings in terms of Millions of Whetstone Instructions Per Second (MWIPS) and Millions of Dhrystone Instructions Per Second (MDIPS). It also produces an actual speed rating in Megahertz. Bigger is better.The results may be different for same processors with different operating systems. It can be explained by how each operating system handles and supports processor's instruction sets.

CPU Multimedia Benchmark

This benchmark performs a set of Intel SSE, SSE2, x87 and AMD 3DNow! instructions including binary and logical operations to produce a rating of 100. Bigger is better.The results may be different for same processors with different operating systems. It can be explained by how each operating system handles and supports processor's instruction sets.

Memory Benchmark

This benchmark performs a set of memory operations (at least 100 KB) including array assignment and splitting. Integer Assignment value means index of your memory speed in handling an integer array. Integer Split value means index of your memory speed in performing an integer array splitting. Both values are similar to Real Assignment and Split. Bigger is better.

Harddisk Benchmark

This benchmark performs both read and write tests to your fixed drives. It creates a temporary file called 'sysinfo.bch' in the root directory to perform read and write test. The results are in MB/s (megabyte per second). Bigger is better.

CD Benchmark

This benchmark performs a single read test to your CD drives. It will require a CD audio, CD data, VCD or DVD as a medium to find out the speed rate. We suggest an easy-to-read and non- autorun one. The result is in MB/s (megabyte per second). Bigger is better.

Network Benchmark

This benchmark performs a ping instruction and both read and write tests to a specified connection. If the selected connection is a read-only one, it will only perform a ping test. The results of read and write tests are in MB/s (megabyte per second). Bigger is better.


Menus and Buttons

Menus
When we open FreshDiagnose, we can use toolbars, Pulldown-menus and Treeview, to execute this program's functions.

Toolbar

They are :

Refresh
Refresh program at the actual condition.

Up
Go up one topic.

Save
Make a save of configuration

Print
Use printer device to print

Report
Create a report file

Windows
This icon will make 'software system' in the treeview highlighted and expanded .

Hardware
This icon will make section 'hardware system' in treeview highlighted and expanded.

Devices
This icon will make section 'devices' in treeview highlighted and expanded.

Networks
This icon will make section 'networks' in treeview highlighted and expanded.

Multimedia
This icon will make section 'multimedia' in treeview highlighted and expanded.

ODBC
This icon will make section 'ODBC' in treeview highlighted and expanded.

Resources
This icon will make section 'resources' in treeview highlighted and expanded.

Snapshot
This icon will make section 'snapshot' in treeview highlighted and expanded.

Traces
This icon will make section 'traces' in treeview highlighted and expanded.

Benchmark
This icon will make section 'benchmark' in treeview highlighted and expanded.

Pulldown Menu

FILE
Refresh - Refresh program at the actual condition.
Up - Go up one topic.
Save result - save the configuration.
Print - Use printer device to print.
Change Language - Change FreshDiagnose interface's Language
System Report - Create a report file of system.
Schedule Report - Create a report file of schedule.
Exit - Quit the program.

INFO
Software System
Hardware System
Devices
Network and Internet
Multimedia
Data Sources
Hardware Resources
Snapshot
Traces
*Note:The functions in this 'info' pulldown are the same with one at the toolbar section with the same label.

BENCHMARK
When you click this pulldown the interface will be redirected into the benchmark section in treeview. They are:

Processor Benchmark
Multimedia Benchmark
Memory Benchmark
Display adapter Benchmark
Harddisk Benchmark
CD Benchmark
Network Benchmark

Start! - This button is on the almost upper left of the program. When you click this, FreshDiagnose will automatically execute the benchmark, and it is depending on what type of benchmark you choose.For Information about benchmark you can go to Benchmarking section.

HELP
Contents - Show this 'Help' file.
Register - Show registration window. If you have registered this software you will receive your code, and write them down here.
About - Show program's splash screen.

SUPPORT SITE
FreshDevices Homepage - Quit the program.
Today's Hotstuff - Open http://www.freshdevices.com from your browser, which offer lot of interesting stuff.


Treeview
This is folder-like menu, where you can expand the menu into branch menu.

They are:

Software System
This module contains information about your computer's software system.

MODULES | Availability
 | Win95 | Win98 | Win ME | Old NT | 2K/XP
Accessibility This module contains information about windows accessibility configuration, including FilterKeys, HighContrast, MouseKeys, SerialKeys, ShowSounds, SoundsEntry, StickyKeys and ToggleKeys. |  |  |  |  |
Appearance This module contains information about windows appearance, including colors, fonts and metrics. |  |  |  |  |
Certificates This module contains information about installed certificates in your system. These certificates are used to authenticate data transactions between your computer and another machine. |  |  |  |  |
Command Console This module contains information about command console (MS-DOS Box) configuration in your system. |  |  |  |  |
Device Drivers This module contains information about loaded device drivers in your system. These drivers are loaded by kernel on start-up. |  |  |  |  |
Engines This module contains information about database engines, script engines and other handy libraries available in your system. |  |  |  |  |
Environment This module contains information about environment variables in your system. |  |  |  |  |
File Associations This module contains information about the applications that were associated with known file extensions in your system. |  |  |  |  |
Fonts This module contains information about fonts installed in your system and their metrics. |  |  |  |  |
Installed programs This module contains information about installed software in your system. |  |  |  |  |
Memory This module contains information about operating system memory and the memory manager. |  |  |  |  |
OLE Objects This module contains information about Object Linking and Embedding (OLE) supports that are registered in your system. |  |  |  |  |
Operating System This module contains information about your computer's operating system. |  |  |  |  |
Power Monitor This module contains information about your computer's power handling mechanism. |  |  |  |  |
Protected Files This module contains information about the files currently protected by your system. |  |  |  |  |
Regional Settings This module contains information about your computer's locale preferences, ie: calendar type, currency format, date and time format, etc. |  |  |  |  |
Resources This module contains information about system, GDI and User's resources. |  |  |  |  |
Scheduled Tasks This module contains information about all active scheduled tasks in your system. |  |  |  |  |
Services This module contains information about all running windows services in your system, including their state, configuration and dependencies. |  |  |  |  |
Shell Folders This module contains information about folders used by the operating system to store data. |  |  |  |  |
StartUp This module contains information about programs and services loaded during system StartUp. |  |  |  |  |
System Files This module contains information about your system's important and significant files. |  |  |  |  |
System Policies This module contains information about your system's policies and restrictions configuration. |  |  |  |  |
Timezone This module contains information about your computer's timezone settings. |  |  |  |  |
Type Libraries This module contains information about all registered type libraries in your system. |  |  |  |  |
User Accounts This module contains information about user accounts and their configurations in your system. |  |  |  |  |
User Groups This module contains information about user groups and their configurations in your system. |  |  |  |  |

Hardware System
This module contains information about your computer's hardware system.

MODULES | Availability
 | Win95 | Win98 | Win ME | Old NT | 2K/XP
CMOS This module contains information about your computer's CMOS (complementary metal oxide semiconductor) memory. |  |  |  |  |
Processor This module contains information about your computer's central processor(s) and its capabilities. |  |  |  |  |
Busses This module contains information about PCI, AGP and CardBus busses installed in your computer. |  |  |  |  |
BIOS This module contains information about your BIOS chip (Basic Input Output System) capabilities. |  |  |  |  |
SM/DMI This module contains information about SM/DMI (System Management / Desktop Management Interface) BIOS in your system. |  |  |  |  |
SM/DMI Dump This module contains raw information of your SM/DMI (System Management / Desktop Management Interface) BIOS. |  |  |  |  |
Memory This module contains information about operating system memory and the memory manager. |  |  |  |  |
Motherboard This module contains information about your motherboard. |  |  |  |  |
System Slots This module contains information about your motherboard's slots. |  |  |  |  |
Port Connectors This module contains information about your motherboard's port connectors. |  |  |  |  |
Cache Memory This module contains information about your motherboard's cache memory. |  |  |  |  |
Sensors This module contains information about your system's temperature, voltage and cooling devices rotation speed. |  |  |  |  |
ATA/ATAPI Devices This module contains information about your ATA (Advanced Technology Attachment) and ATAPI (ATA Packet Interface) compliant devices (i.e. harddisks and optical drives) in your system |  |  |  |  |

Devices This module contains information about devices installed in your computer.

MODULES | Availability
 | Win95 | Win98 | Win ME | Old NT | 2K/XP
Display Adapters This module contains information about display adapters that are currently installed in your computer. |  |  |  |  |
Drives This module contains information about harddisks that are currently installed in your computer. |  |  |  |  |
Keyboard This module contains information about keyboard device installed in your computer. |  |  |  |  |
Mouse This module contains information about mouse device installed in your computer. |  |  |  |  |
Plug and Play This module contains information about plug and play devices that are currently known by your system. |  |  |  |  |
Ports This module contains information about serial ports that are currently installed in your computer. |  |  |  |  |
Printers This module contains information about printers that are currently installed in your computer. |  |  |  |  |
SCSI Devices This module contains information about SCSI (Small Computer System Interface) devices that are currently installed in your system. |  |  |  |  |
Partitions This module contains information about your harddisk partition layout. |  |  |  |  |

Network and Internet This module contains information about your network and internet settings.

MODULES | Availability
 | Win95 | Win98 | Win ME | Old NT | 2K/XP
Winsock This module contains information about windows socket version currently installed in your system. |  |  |  |  |
Internet Settings This module contains information about your current internet settings. |  |  |  |  |
Internet Explorer This module contains information about Microsoft Internet Explorer™ version currently installed in your system. |  |  |  |  |
Internet Zones This module contains information about your security settings applied to different zones. |  |  |  |  |
Mail Accounts This module contains information about your configured mail accounts. |  |  |  |  |
Network This module contains information about your current network settings. |  |  |  |  |
Network Resources This module contains information about resources that are currently available in your network. |  |  |  |  |
ICMP Statistics This module contains information about Internet Control Message Protocol (ICMP) statistics. It summarizes all ICMP activities in your computer. |  |  |  |  |
UDP Statistics This module contains information about User Datagram Protocol (UDP) statistics. It summarizes all UDP activities in your computer. |  |  |  |  |
TCP Statistics This module contains information about Transmission Control Protocol (TCP) statistics. It summarizes all TCP activities in your computer. |  |  |  |  |
IP Statistics This module contains information about Internet Protocol (IP) statistics. It summarizes all IP activities in your computer. |  |  |  |  |
Open Ports This module contains information about current open ports in your computer. Non-standard listening ports may indicate trojan, spyware or virus. |  |  |  |  |
Winsocks This module contains information about windows socket version currently installed in your system. |  |  |  |  |
MIME Types This module contains information about your system's MIME Types database. This database are used everytime your computer interact with the internet. |  |  |  |  |
Shared Resources This module contains information about shared resources in your system that are accessible from other computers in your network. |  |  |  |  |

Multimedia This module contains information about multimedia devices installed in your computer.

MODULES | Availability
 | Win95 | Win98 | Win ME | Old NT | 2K/XP
DirectX This module contains information about DirectX version currently installed in your system. |  |  |  |  |
DirectDraw This module contains information about DirectX drawing capabilities (DirectX 5 or above). |  |  |  |  |
DirectSound This module contains information about DirectX sound capabilities (DirectX 5 or above). |  |  |  |  |
Auxiliary This module contains information about auxiliary devices installed in your system and their configuration. |  |  |  |  |
Joystick This module contains information about joystick devices installed in your system and their configuration. |  |  |  |  |
Media Control This module contains information about multimedia devices installed in your system that can be accessed via Windows Media Control Interface. |  |  |  |  |
Mixer This module contains information about mixer devices installed in your system and their configuration. |  |  |  |  |
Midi In This module contains information about midi in devices installed in your system and their configuration. |  |  |  |  |
Midi Out This module contains information about midi out devices installed in your system and their configuration. |  |  |  |  |
Wave In This module contains information about wave in devices installed in your system and their configuration. |  |  |  |  |
Wave Out This module contains information about wave out devices installed in your system and their configuration. |  |  |  |  |
Video Capture This module contains information about video capture devices installed in your system and their configuration. |  |  |  |  |
Audio Codecs This module contains information about audio codecs installed in Audio Compression Manager (ACM) and their configuration. |  |  |  |  |
Video Codecs This module contains information about video codecs installed in Video Compression Manager (VCM) and their configuration. |  |  |  |  |

Database System This module contains information about Open Database Connectivity (ODBC) settings and resources installed in your system.

MODULES | Availability
 | Win95 | Win98 | Win ME | Old NT | 2K/XP
ODBC Core This module contains information about Open Database Connectivity (ODBC) core files installed in your system. |  |  |  |  |
ODBC Drivers This module contains information about Open Database Connectivity (ODBC) drivers installed in your system. |  |  |  |  |
ODBC Converters This module contains information about Open Database Connectivity (ODBC) converters installed in your system. |  |  |  |  |
ODBC Data Sources This module contains information about Open Database Connectivity (ODBC) data sources installed in your system. |  |  |  |  |

Hardware Resources
This module contains information about your computer's hardware resources.

MODULES | Availability
 | Win95 | Win98 | Win ME | Old NT | 2K/XP
Interrupt Requests This module contains information about your computer's IRQ (interrupt request) list. |  |  |  |  |
DMA Channels This module contains information about your computer's DMA (Direct Memory Access) list. |  |  |  |  |
Ports I/O This module contains information about your computer's ports I/O list. |  |  |  |  |
Memory Resources This module contains information about your computer's memory resources. |  |  |  |  |

Snapshot This module will take a snapshot of your system's activity including running processes, modules, threads and allocated heaps.

MODULES | Availability
 | Win95 | Win98 | Win ME | Old NT | 2K/XP
Processes This module will take a snapshot of current running processes in your system. |  |  |  |  |
ModulesClass This module will take a snapshot of current running modules in your system. |  |  |  |  |
Threads This module will take a snapshot of current running threads in your system. |  |  |  |  |
Heaps This module will take a snapshot of heaps allocated by your system. |  |  |  |  |
Windows This module will take a snapshot of both visible and hidden windows. |  |  |  |  |
Opened Shared Files This module takes a snapshot of shared files that are currently opened by other computers in the network. |  |  |  |  |

Traces
This module performs several kind of benchmark in your system.

MODULES | Availability
 | Win95 | Win98 | Win ME | Old NT | 2K/XP
Executed Files This module shows you list of executed files recorded by Windows. It's a prove-of-concept on what personal information can be gathered from this computer. |  |  |  |  |
Windows History This module shows you list of accessed files recorded by Windows. It's a prove-of-concept on what personal information can be gathered from this computer. |  |  |  |  |
Search History This module shows you list of search history (Start->Search) recorded by Windows. It's a prove-of-concept on what personal information can be gathered from this computer. |  |  |  |  |
Run History This module shows you list of run history (Start- >Run) recorded by Windows. It's a prove-of-concept on what personal information can be gathered from this computer. |  |  |  |  |
Open & Save History This module shows you list of open & save dialog history recorded by Windows. It's a prove-of- concept on what personal information can be gathered from this computer. |  |  |  |  |
Recent Files This module shows you list of recently accessed files recorded by Windows. It's a prove-of-concept on what personal information can be gathered from this computer. |  |  |  |  |
Browser History This module shows you list of browser history recorded by Windows. It's a prove-of-concept on what personal information can be gathered from this computer. |  |  |  |  |
Internet Cache This module shows you list of internet cache recorded by Windows. It's a prove-of-concept on what personal information can be gathered from this computer. |  |  |  |  |
Internet Cookies This module shows you list of internet cookies recorded by Windows. Cookies may contain sensitive information such as username, hashed password, etc. It's a prove-of-concept on what personal information can be gathered from this computer. |  |  |  |  |

Benchmark
This module performs several kind of benchmark in your system.

MODULES | Availability
 | Win95 | Win98 | Win ME | Old NT | 2K/XP
Processor Benchmark This module performs processor benchmark in your system. |  |  |  |  |
Multimedia Benchmark This module performs multimedia benchmark in your system. |  |  |  |  |
Memory Benchmark This module performs memory benchmark in your system. |  |  |  |  |
Display Adapter Benchmark This module performs display adapter benchmark in your system. |  |  |  |  |
Harddisk Benchmark This module performs harddisk benchmark in your system. |  |  |  |  |
CD Benchmark This module performs CD benchmark in your system. |  |  |  |  |
Network Benchmark This module performs network benchmark in your system. |  |  |  |  |


Shortcuts

Shortcut
Here are shortcut keys available in FreshDiagnose.

Shortcut | Function
F5 | Refresh
F2 | Start Benchmarking
Bksp | Up
Ctrl+S | Save Result
Ctrl+P | Print
Ctrl+R | System Report
F1 | Contents


Distribution
You may reproduce and distribute an unlimited number of copies of FRESHDIAGNOSE ; provided that each copy shall be a true and complete copy, including all copyright and trademark notices, and shall be accompanied by a complete documentations.

FRESHDIAGNOSE may not be sold or be included in a product or package which intends to receive benefits through the inclusion of this product. FRESHDIAGNOSE may be included in any free or non-profit packages or products.

This FRESHDIAGNOSE software is the property of FRESHDEVICES CORPORATION. Any reproduction in whole or in part is strictly prohibited.


Disclaimer
FRESHDIAGNOSE IS PROVIDED AS IS. FRESHDEVICES CORP. will in no way be responsible, in financial or any other terms, for damages (either consequential or incidental) resulting from the use or misuse of FRESHDIAGNOSE or from following directions in this document. No warrantee as to fitness to a particular purpose is given or implied.

Because of the wide variety of hardware and software combinations available today, it is up to the user to ensure that FRESHDIAGNOSE functions well in his or her environment. The user must assume the entire risk of using FRESHDIAGNOSE.


Licensing
Personal License

FRESHDIAGNOSE is FREE for personal/private use only. Free registration is required if you want to use it longer than 11 days. Registration number for this version can be obtained for FREE, simply visit http://www.freshdevices.com.

Business License
The license associated with this product allows for free personal use only. Use on PC(s) in a corporate, educational, military or government installation is prohibited. You MUST purchase a license if you are using this software in any business, commercial, educational, military or government organization. This license also covers two other software published by Freshdevices.com: FreshUI and FreshDiagnose.

1. Freshdevices Home Office License .......................................... USD 39 (1 computer)

2. Freshdevices Bronze License .................................................. USD 95 (up to 5 computers)

3. Freshdevices Silver License .................................................... USD 295 (up to 25 computers)

4. Freshdevices Gold License ...................................................... USD 995 (up to 250 computers)


Contact us
Send your comments, suggestions and bug reports for future development of FreshDiagnose to http://www.freshdevices.com/contact.html


Send your comments, suggestions and bug reports for future development of FreshDiagnose to http://www.freshdevices.com/contact.html